# Project information
site_name: Docker for Beginners
site_url: "https://sdldocs.gitlab.io/server-techs/docker4beginners/" 
site_author: YoonJoon Lee
site_description: >-
 Docker for Beginners
# Repository
repo_name: sdldocs/server-techs/docker4beginners/
repo_url: https://github.com/sdldocs/server-techs/docker4beginners/

# Configuration
theme:
  name: material
  # custom_dir: !ENV [THEME_DIR, "material"]

  # Static files
  static_templates:
    - 404.html

  # Don't include MkDocs' JavaScript
  #include_search_page: false
  #search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
  #features:
  #  - content.code.annotate
    # - content.tabs.link
    # - header.autohide
    # - navigation.expand
  #  - navigation.indexes
    # - navigation.instant
  #  - navigation.sections
  #  - navigation.tabs
    # - navigation.tabs.sticky
  #  - navigation.top
  #  - navigation.tracking
  #  - search.highlight
  #  - search.share
  #  - search.suggest
  #  - toc.follow
    # - toc.integrate
  palette:
    - scheme: amber
      primary: amber
      accent: orange
      #toggle:
        #icon: material/toggle-switch
        #name: Switch to dark mode
    #- scheme: slate
      #primary: red
      #accent: red
      #toggle:
        #icon: material/toggle-switch-off-outline
        #name: Switch to light mode
  font:
    text: Roboto
    code: Roboto Mono
  #favicon: assets/favicon.png
  #icon:
    #logo: logo


nav:
  - 목차: index.md
  - 초보자를 위한 Docker:
    - 개요: introduction.md
    - 시작하기: getting-started.md
    - Hello World: hello-world.md
    - Docker를 사용한 웹 앱: webapp-docker.md
    - 다중 컨테이너 환경: multi-container-env.md
    - 맺으며: conclusion.md
